#ifndef VTKDataProcessingPLUGINFACTORY_H__
#define VTKDataProcessingPLUGINFACTORY_H__

#include <QObject>
#include "ritkPluginFactories.h"

class VTKDataProcessingPluginFactory : public QObject, public ritk::ApplicationPluginFactory
{
	Q_OBJECT
    Q_INTERFACES(ritk::ApplicationPluginFactory)

public:
	/// Constructor
	VTKDataProcessingPluginFactory();
	/// Destructor
	~VTKDataProcessingPluginFactory();

	ritk::ApplicationPlugin* CreateInstance();

	QString GetName();

	QString GetDescription();
};

#endif // VTKDataProcessingPLUGINFACTORY_H__
